diff options
author | Jim Meyering <jim@meyering.net> | 2007-09-08 10:09:19 +0200 |
---|---|---|
committer | Jim Meyering <jim@meyering.net> | 2007-09-15 08:40:38 +0200 |
commit | 28f1844cefb2decc05858fdf8cc62a9ef63a9a31 (patch) | |
tree | 1ba8d121abd2b4bcf259521ce627d1d89d27cefe /tests/ls/stat-free-symlinks | |
parent | 7455bf9432c0ae3664803695ddcb27613d20ca8e (diff) | |
download | coreutils-28f1844cefb2decc05858fdf8cc62a9ef63a9a31.tar.xz |
Convert tests/ls/, too.
Diffstat (limited to 'tests/ls/stat-free-symlinks')
-rwxr-xr-x | tests/ls/stat-free-symlinks | 25 |
1 files changed, 5 insertions, 20 deletions
diff --git a/tests/ls/stat-free-symlinks b/tests/ls/stat-free-symlinks index 1d654822b..7c0fce927 100755 --- a/tests/ls/stat-free-symlinks +++ b/tests/ls/stat-free-symlinks @@ -21,26 +21,12 @@ if test "$VERBOSE" = yes; then ls --version fi -. $srcdir/../envvar-check . $srcdir/../strace +. $srcdir/../test-lib.sh -pwd=`pwd` -t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$ -trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0 -trap '(exit $?); exit $?' 1 2 13 15 - -framework_failure=0 -mkdir -p $tmp || framework_failure=1 -cd $tmp || framework_failure=1 - -touch x || framework_failure=1 -chmod a+x x || framework_failure=1 -ln -s x link-to-x || framework_failure=1 - -if test $framework_failure = 1; then - echo "$0: failure in testing framework" 1>&2 - (exit 1); exit 1 -fi +touch x || framework_failure +chmod a+x x || framework_failure +ln -s x link-to-x || framework_failure fail=0 @@ -64,7 +50,6 @@ test -s err && fail=1 printf '\033[m' } > exp || fail=1 -cmp out exp || fail=1 -test $fail = 1 && diff out exp 2> /dev/null +compare out exp || fail=1 (exit $fail); exit $fail |